stages:
  - test
  - quality-assurance

py312:
  stage: test
  image: python:3.12-alpine
  before_script:
    - apk add --no-cache libmagic
    - apk add --no-cache gettext
    - pip install tox --no-cache-dir
  script: tox -e py312

py313:
  stage: test
  image: python:3.13-alpine
  before_script:
    - apk add --no-cache libmagic
    - apk add --no-cache gettext
    - pip install tox --no-cache-dir
  script: tox -e py313

linters:
  stage: quality-assurance
  image: python:3-alpine
  before_script:
    - pip install tox --no-cache-dir
  script: tox -e linters
  allow_failure: true
